# ActionViewHolder

class ActionViewHolder (container: ViewGroup , dialogInterfaceGetter: () -> DialogInterface ) : AbstractStandardViewHolder < AlertAction > (source)

## Constructors

ActionViewHolder
Link copied to clipboard
constructor(container: ViewGroup , dialogInterfaceGetter: () -> DialogInterface )

## Properties

absoluteAdapterPosition
Link copied to clipboard
val absoluteAdapterPosition : Int
adapterPosition
Link copied to clipboard
val adapterPosition : Int
bindingAdapter
Link copied to clipboard
@get: Nullable
val bindingAdapter : RecyclerView.Adapter <out RecyclerView.ViewHolder ?>?
bindingAdapterPosition
Link copied to clipboard
val bindingAdapterPosition : Int
isRecyclable
Link copied to clipboard
val isRecyclable : Boolean
itemId
Link copied to clipboard
val itemId : Long
itemView
Link copied to clipboard
@ NonNull
val itemView : View
itemViewType
Link copied to clipboard
val itemViewType : Int
layoutPosition
Link copied to clipboard
val layoutPosition : Int
oldPosition
Link copied to clipboard
val oldPosition : Int
position
Link copied to clipboard
val position : Int

## Functions

onBind
Link copied to clipboard
open override fun onBind (item: AlertAction )
setIsRecyclable
Link copied to clipboard
fun setIsRecyclable (recyclable: Boolean )